diff --git CMakeLists.txt CMakeLists.txt
index f315fa87236..3102d71c2fe 100644
--- CMakeLists.txt
+++ CMakeLists.txt
@@ -239,7 +239,7 @@ mark_as_advanced(WITH_SYSTEM_AUDASPACE)
 set_and_warn_dependency(WITH_AUDASPACE WITH_SYSTEM_AUDASPACE OFF)
 
 option(WITH_OPENMP        "Enable OpenMP (has to be supported by the compiler)" ON)
-if(UNIX AND NOT APPLE)
+if(UNIX OR APPLE)
   option(WITH_OPENMP_STATIC "Link OpenMP statically (only used by the release environment)" OFF)
   mark_as_advanced(WITH_OPENMP_STATIC)
 endif()
@@ -251,7 +251,7 @@ if(WITH_GHOST_X11)
   option(WITH_X11_ALPHA     "Enable X11 transparent background"                     ON)
 endif()
 
-if(UNIX AND NOT APPLE)
+if(UNIX OR APPLE)
   option(WITH_SYSTEM_GLEW "Use GLEW OpenGL wrapper library provided by the operating system" OFF)
   option(WITH_SYSTEM_GLES "Use OpenGL ES library provided by the operating system"           ON)
 else()
@@ -261,7 +261,7 @@ else()
 endif()
 
 
-if(UNIX AND NOT APPLE)
+if(UNIX OR APPLE)
   option(WITH_SYSTEM_EIGEN3 "Use the systems Eigen3 library" OFF)
 endif()
 
@@ -305,13 +305,13 @@ else()
 endif()
 if(NOT WIN32)
   option(WITH_JACK          "Enable JACK Support (http://www.jackaudio.org)" ON)
-  if(UNIX AND NOT APPLE)
+  if(UNIX OR APPLE)
     option(WITH_JACK_DYNLOAD  "Enable runtime dynamic JACK libraries loading" OFF)
   endif()
 else()
   set(WITH_JACK OFF)
 endif()
-if(UNIX AND NOT APPLE)
+if(UNIX OR APPLE)
   option(WITH_SDL_DYNLOAD  "Enable runtime dynamic SDL libraries loading" OFF)
 endif()
 if(UNIX AND NOT APPLE)
@@ -329,7 +329,7 @@ endif()
 # Compression
 option(WITH_LZO           "Enable fast LZO compression (used for pointcache)" ON)
 option(WITH_LZMA          "Enable best LZMA compression, (used for pointcache)" ON)
-if(UNIX AND NOT APPLE)
+if(UNIX OR APPLE)
   option(WITH_SYSTEM_LZO    "Use the system LZO library" OFF)
 endif()
 option(WITH_DRACO         "Enable Draco mesh compression Python module (used for glTF)" ON)
@@ -353,7 +353,7 @@ if(WIN32)
   option(WITH_INPUT_IME "Enable Input Method Editor (IME) for complex Asian character input" ON)
 endif()
 option(WITH_INPUT_NDOF "Enable NDOF input devices (SpaceNavigator and friends)" ON)
-if(UNIX AND NOT APPLE)
+if(UNIX OR APPLE)
   option(WITH_INSTALL_PORTABLE "Install redistributeable runtime, otherwise install into CMAKE_INSTALL_PREFIX" ON)
   option(WITH_STATIC_LIBS "Try to link with static libraries, as much as possible, to make blender more portable across distributions" OFF)
   if(WITH_STATIC_LIBS)
@@ -478,7 +478,7 @@ set(TEST_PYTHON_EXE "" CACHE PATH "Python executable to run unit tests")
 mark_as_advanced(TEST_PYTHON_EXE)
 
 # Documentation
-if(UNIX AND NOT APPLE)
+if(UNIX OR APPLE)
   option(WITH_DOC_MANPAGE "Create a manual page (Unix manpage)" OFF)
 endif()
 
